%define _lesstifdir	%_prefix/LessTif 

%define name		lesstif
%define version		0.95.0
%define release		%mkrel 2

%define major		2
%define libname 	%mklibname %name %major
%define develname	%mklibname %name -d

Summary:	A free Motif clone
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
URL:		http://www.lesstif.org/
Group:		System/Libraries
Source:		http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
Source2:	mwm.png.bz2
Source3:	mwm32.png.bz2
Source4:	lesstif-mwm-menu-xdg
Patch0:		lesstif-mdk-menu.patch
Patch1:		lesstif-0.93.94-libdir.patch
Patch2:		lesstif-0.93.94-libtool.patch
# Slightly ugly hack to disable libDtPrint build. It seems to be
# completely useless, I don't think any apps use it. Debian doesn't
# ship it. - AdamW 2007/07
Patch3:		lesstif-0.95.0-disable-dtprint.patch

BuildRoot:	%{_tmppath}/%name-%version-root
BuildRequires:	flex, X11-devel, bison, xpm-devel, fontconfig-devel
BuildRequires:	imake
BuildRequires:  autoconf

%description
Lesstif is an API compatible clone of the Motif toolkit. It implements 
the Motif 2.1 API. Many Motif applications compile and run 
out-of-the-box with LessTif, and we want to hear about those that 
don't.

%package -n %libname
Summary:	Lesstif libraries
Group:		System/Libraries
Requires:	lesstif = %version
Obsoletes:	%{mklibname lesstif 1}

%description -n %libname
Lesstif is an API compatible clone of the Motif toolkit. It implements 
the Motif 2.1 API. Many Motif applications compile and run 
out-of-the-box with LessTif, and we want to hear about those that 
don't.

%package mwm
Summary:	Lesstif Motif window manager clone based on fvwm
Group:		Graphical desktop/Other
Requires:	desktop-common-data
Conflicts:	openmotif

%description mwm
MWM is a window manager that adheres largely
to the Motif mwm specification.

%package clients
Summary:	Lesstif clients
Group:		Graphical desktop/Other
Requires:	lesstif = %version
Conflicts:	openmotif libopenmotif-devel

%description clients
Uil and xmbind clients for Lesstif.

%package -n %develname
Group:		Development/C
Summary:	Static library and header files for Lesstif/Motif development
Requires:	%libname = %version
Obsoletes:	%{name}-devel < %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	libopenmotif-devel

%description -n %develname
This package contains the lesstif static library and header files
required to develop motif-based applications.

This package also contains development documentation in html (Lessdox),
and mxmkmf for Lesstif.

%prep
%setup -q -n lesstif-%{version}
%patch0 -p0 -b .mdk
%patch1 -p1 -b .libdir
%patch2 -p1 -b .libtool
autoconf
%patch3 -p1 -b .dtprint
LESSTIFTOP=$PWD

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
				--prefix=%{_prefix} \
				--libdir=%{_libdir} \
                		--mandir=%{_mandir} \
				--enable-shared \
				--enable-static \
				--disable-maintainer-mode \
				--disable-debug \
				--enable-production


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT/etc/X11
ln -sf ../..%{_libdir}/X11/mwm $RPM_BUILD_ROOT/etc/X11/mwm

install -d $RPM_BUILD_ROOT%_lesstifdir/doc/Lessdox
install -c -m 644 doc/lessdox/*/*.html $RPM_BUILD_ROOT%_lesstifdir/doc/Lessdox || :

# generate config files 
cd $RPM_BUILD_ROOT%{_prefix}/lib/X11/config
#mv Imake.tmpl Imake-lesstif.tmpl.orig


perl -ne ' 
    if( /#include <Imake.rules>/ ){              
        print $_;
        print "#include <Motif-lesstif.tmpl>\n";
        print "#include <Motif-lesstif.rules>\n";
    }
    elsif ( /IMAKE_CMD = \$\(IMAKE\)/ ){
        print STDERR "found\n";
        s|\$\(IMAKE\)|\$(IMAKE) -T Imake-lesstif.tmpl|;
        print $_;
    }
    else {
        print $_;
    }
' < %{_datadir}/X11/config/Imake.tmpl > Imake-lesstif.tmpl



cd $RPM_BUILD_ROOT%{_prefix}/bin/
sed -e 's/imake $args/imake -T Imake-lesstif.tmpl $args/' < `which xmkmf` > mxmkmf

# menu support
mv $RPM_BUILD_ROOT%{_libdir}/X11/mwm/system.mwmrc $RPM_BUILD_ROOT%{_libdir}/X11/mwm/system.mwmrc-menu
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/menu.d
install -m 0755 %{SOURCE4} $RPM_BUILD_ROOT%_sysconfdir/menu.d/lesstif-mwm

#icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32}/apps
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/mwm.png
bzcat %{SOURCE3} >$RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/mwm.png

rm -f $RPM_BUILD_ROOT%{_prefix}/lib/X11/config/host.def

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_lesstifdir}/[ABCFIR]*
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/app-defaults/Mwm
rm -f $RPM_BUILD_ROOT%{_prefix}/lib/mwm/*

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#%doc etc/{example.motifbind,motifbind.sun+linux}
%doc AUTHORS BUG-REPORTING COPYING COPYING.LIB CREDITS
%doc ChangeLog NEWS
%doc README ReleaseNotes.txt ReleaseNotes.html
%doc doc/www.lesstif.org/FAQ.html
%{_mandir}/man1/lesstif.1*

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files mwm
%defattr(-,root,root,-)
%doc clients/Motif-2.1/mwm/{COPYING,README}
%config(noreplace) %_sysconfdir/X11/mwm
%{_sysconfdir}/menu.d/%{name}-mwm
%{_libdir}/X11/mwm
%{_libdir}/X11/app-defaults/Mwm
%{_mandir}/man1/mwm.1*
%{_mandir}/man5/mwmrc.5*
%{_bindir}/mwm
%{_iconsdir}/hicolor/16x16/apps/mwm.png
%{_iconsdir}/hicolor/32x32/apps/mwm.png

%files clients
%defattr(-,root,root,-)
%doc doc/UIL.txt
%{_bindir}/uil
%{_bindir}/xmbind
%{_mandir}/man1/xmbind.1*

%files -n %develname
%defattr(-,root,root,755)
#%doc doc/{*.html,*.txt,lessdox/*/*.html,www.lesstif.org}
%doc %{_lesstifdir}/doc
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_bindir}/motif-config
%{_bindir}/mxmkmf
%{_prefix}/lib/X11/config/*
%{_datadir}/aclocal/ac_find_motif.m4
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*



%changelog
* Wed Feb 13 2008 Adam Williamson <awilliamson@mandriva.com> 0.95.0-2mdv2008.1
+ Revision: 166850
- don't run update_menus and clean_menus for mwm, it has no menu entry

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.95.0-1mdv2008.1
+ Revision: 136535
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Pixel <pixel@mandriva.com>
    - add various explicit conflicts with openmotif and its subpackages

* Wed Jul 18 2007 Adam Williamson <awilliamson@mandriva.com> 0.95.0-1mdv2008.0
+ Revision: 53167
- correct paths for x86-64
- fd.o icons
- drop old menu entry
- drop old patch3 (merged upstream)
- rediff patches 1 and 2
- improve description
- new patch3: disable libDtPrint (useless)
- drop 1.x compatible build (as per upstream)
- new release 0.95.0


* Tue Aug 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.93.94-12mdv2007.0
- lesstif doesn't need %%post/%%postun ldconfig, but the %%libname1 and
  %%libname2 packages sure do (vdanen)
- use --enable-production: security fix for CVE-2006-4124 (stew)

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com> 0.93.94-11mdv2007.0
- Final switch to XDG menu

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org> 0.93.94-10mdv2007.0
- fix path for lib64

* Sun Jun 25 2006 Gtz Waschk <waschk@mandriva.org> 0.93.94-9mdv2007.0
- fix buildrequires

* Sat Jun 24 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.93.94-8
- add BuildRequires: x11-util-cf-files

* Sun Jun 11 2006 Olivier Thauvin <nanardon@mandriva.org> 0.93.94-7mdv2007.0
- fix prefix (aka /usr instead /usr/X11R6)
- %%mkrel

* Thu May 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.93.94-6mdk
- Update source1, patch0, we are Mandriva Linux now
- Add XDG menu script, patch0 will need to be update again 
  when old menu system is replaced by new XDG based scripts

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.93.94-5mdk
- Rebuild

* Mon Mar 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93.94-4mdk
- fix ordering of packages on upgrade (#14537)

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.93.94-3mdk
- first round of 64-bit fixes

* Tue Feb 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93.94-2mdk
- libification

* Mon Dec 01 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.93.94-1mdk
- bzip2 source1
- rediff patches
- new version

* Fri Nov 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.93.91-1mdk
- new version

